// QDTestDlg.h : header file
//

#if !defined(AFX_QDTESTDLG_H__BDB0FF9A_99A2_11D1_A8C1_000000000000__INCLUDED_)
#define AFX_QDTESTDLG_H__BDB0FF9A_99A2_11D1_A8C1_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CQDTestDlg dialog

// forward reference this baby
#include "QDServer.h"

class CQDTestDlg : public CDialog
{
// Construction
public:
	CQDTestDlg(CWnd* pParent = NULL);	// standard constructor
	~CQDTestDlg();
// Dialog Data
	//{{AFX_DATA(CQDTestDlg)
	enum { IDD = IDD_QDTEST_DIALOG };
	CSliderCtrl	m_wndSlider;
	CBitmapButton	m_wndFlyUp;
	CBitmapButton	m_wndFlyDown;
	CBitmapButton	m_wndWalk;
	CBitmapButton	m_wndUp;
	CBitmapButton	m_wndRight;
	CBitmapButton	m_wndLeft;
	CBitmapButton	m_wndDown;
	CString	m_strPakFile;
	CString	m_strMapName;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQDTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CQDTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBrowse();
	afx_msg void OnView();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnDown();
	afx_msg void OnLeft();
	afx_msg void OnRight();
	afx_msg void OnUp();
	afx_msg void OnWalk();
	afx_msg void OnFlyup();
	afx_msg void OnFlydown();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
protected:
	void			UpdateFrame();
private:
	int				m_nSliderPos;
	float			m_fFriction;
	float			m_fStep;
	DWORD			m_dwPosState;
	LPQDBSPVIEW		m_pQDBspView;
	float			m_fViewAngles[3];
	float			m_fViewPos[3];
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_QDTESTDLG_H__BDB0FF9A_99A2_11D1_A8C1_000000000000__INCLUDED_)
